GetLegendGraphic does not work with FORMAT=jpeg even GetCapabilities says so

2013-04-24 08:07 AM - Marco Lechner

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16609

Description

Even GetCapabilities of a QGIS mapserver WMS tells jpeg is a valid format for GetLegendGraphic requests, trying this format results in

an exception telling that GetMap does not support "jpeg" format but works with the not listed "jpg". Pull request #554 adds jpg, jpeg,

image/jpg and image/jpeg as valid formats to GetMap and GetLegendGraphic requests.

History

#1 - 2013-04-24 08:08 AM - Marco Lechner

https://github.com/qgis/Quantum-GIS/pull/554 fixes this.

#2 - 2013-04-24 08:47 AM - Jürgen Fischer

- Assignee set to Marco Hugentobler

#3 - 2013-06-20 11:19 PM - Marco Hugentobler

- Status changed from Open to Resolved

commit:469fb25300d95958e8ddaff8b691f9989456b532 disables 'jpeg' in capabilities

#4 - 2013-06-20 11:19 PM - Marco Hugentobler

- Status changed from Resolved to Closed
https://github.com/qgis/Quantum-GIS/pull/554

